{
	"name": "main",
	"targetType": "none",
	"subPackages": [
		{
			"name": "gears",
			"targetType": "executable",
			"targetName": "Gears",
			"targetPath": "build",
			"sourceFiles-linux": ["build/libvma.a", "build/libstb_image.a", "build/libm3d.a"],
			"sourceFiles-windows": [],
			"importPaths": ["src/gears", "src/shared", "src/generated", "external/xxhash", "external/dplug/math", "external/inteli"],
			"sourcePaths": ["src/gears", "src/shared", "src/generated", "external/xxhash", "external/dplug/math", "external/inteli"],
			"libs-linux": ["xcb", "X11", "X11-xcb", "vulkan", "stdc++"],
			"libs-windows": [],
			"preGenerateCommands-linux": ["./build.sh", "build/Packer"],
			"preGenerateCommands-windows": [],
			"dflags-dmd": ["-P=-DSTBI_NO_SIMD"]
		},
		{
			"name": "packer",
			"targetType": "executable",
			"targetPath": "build",
			"targetName": "Packer",
			"importPaths": ["src/packer", "src/shared", "src/generated", "external/xxhash", "external/dplug/math", "external/inteli"],
			"sourcePaths": ["src/packer", "src/shared", "src/generated", "external/xxhash", "external/dplug/math", "external/inteli"],
			"sourceFiles-linux": ["build/libstb_image.a", "build/libm3d.a"],
			"preGenerateCommands-linux": ["./build.sh"],
			"postGenerateCommands-linux": [],
			"preGenerateCommands-windows": [],
			"dflags-dmd": ["-P=-DSTBI_NO_SIMD"],
		},
		{
			"name": "codegen",
			"targetType": "executable",
			"targetPath": "build",
			"targetName": "Codegen",
			"importPaths": ["src/codegen", "src/shared", "external/xxhash", "external/dplug/math", "external/inteli"],
			"sourcePaths": ["src/codegen", "src/shared", "external/xxhash", "external/dplug/math", "external/inteli"],
			"sourceFiles-linux": ["build/libstb_image.a"],
			"preGenerateCommands-linux": ["./build.sh"],
			"preGenerateCommands-windows": [],
			"versions": ["codegen"],
			"dflags-dmd": ["-P=-DSTBI_NO_SIMD"],
		}
	]
}
